#DateContainer
{
    position: absolute;

    left: 4.35%;
    top: 11.7%;

    box-sizing: border-box;

    width: 30%;
    height: 23%;
}

#DateContainer #DateButton
{
    position: absolute;

    left: 0%;
    top: 14.5%;

    box-sizing: border-box;

    width: 51.9%;
    height: 26.9%;

    padding-top: 2%;

    text-align: center;

    font-family: 'Astronaut';
    font-size: 2vw;
    font-variant: small-caps;
    text-shadow: 0 0 5px #000000;

    color: #ffffff;
}

#DateContainer:not(.extended) #DateButton
{
}

#DateContainer .button:hover
{
    cursor: pointer;
}

#DateContainer:not(.extended) #DateButton:hover
{
    background-color: #00220088;
}

#DateContainer:not(.extended) #DateButtonCancel
{
    display: none;
}

#DateContainer:not(.extended) #DateDayPicker
{
    display: none;
}

#DateContainer:not(.extended) #DateTimeIndication
{
    display: none;
}

#DateContainer:not(.extended) #DateTimePicker
{
    display: none;
}

#DateContainer.extended
{
    z-index: 1;

    border: 2px solid #00880088;

    background-color: #001100f0;
}

#DateContainer.extended #DateButton
{
    left: 7.7%;
    top: 16.7%;

    width: 30.4%;
    height: 23.5%;

    padding-top: 0%;

    background-color: #00880088;

    border: 2px solid #00aa0088;

    font-size: 2.0vw;
}

#DateContainer.extended #DateButton:hover
{
    background-color: #00880022;

    border-color: #00aa0022;
}

#DateContainer.extended #DateButtonCancel
{
    position: absolute;

    left: 39.5%;
    top: 16.7%;

    box-sizing: border-box;

    width: 10.4%;
    height: 23.5%;

    background-color: #88000088;

    border: 2px solid #aa000088;

    font-family: sans-serif, serif;
    font-size: 2.0vw;
    font-variant: small-caps;
    text-shadow: 0 0 5px #000000;
    text-align: center;

    color: #aaaaaa;
}

#DateContainer.extended #DateButtonCancel:hover
{
    opacity: 0.5;
}

#DateContainer.extended #DateDayPicker
{
    display: block;

    position: absolute;

    left: 54%;
    top: 16.7%;

    box-sizing: border-box;

    width: 41%;
    height: 23.5%;

    background-color: #00330044;

    border: 2px solid #00880088;

    text-align: center;

    font-family: 'Astronaut';
    font-size: 2.0vw;
    font-variant: small-caps;
    text-shadow: 0 0 5px #000000;

    color: #ffffff;
}

#DateContainer.extended #DateDayPicker:hover
{
    cursor: pointer;
}

#DateContainer.extended #DateTimeIndication
{
    position: absolute;

    left: 35%;
    top: 53%;

    box-sizing: border-box;

    width: 30%;
    height: 22%;

    background-color: #00330044;

    border: 1px solid #00880088;

    text-align: center;

    font-family: 'Astronaut';
    font-size: 2.0vw;
    font-variant: small-caps;
    text-shadow: 0 0 5px #000000;

    color: #ffffff;
}

#DateContainer.extended #DateTimePicker
{
    display: block;

    position: absolute;

    left: 5%;
    top: 82%;

    transform: translate(-5%);

    box-sizing: border-box;

    width: 90%;
    height: 10%;
}
